<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFShapeFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFShapeFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapeFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
               title="interface in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFShapeFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFShapeFactory" class="title">Class HSLFShapeFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFShapeFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFShapeFactory</span>
extends java.lang.Object</pre>
                <div class="block">Create a <code>Shape</code> object depending on its type</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#logger">logger</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#HSLFShapeFactory--">HSLFShapeFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShape</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                    <div class="block">Create a new shape from the data provided.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShapeGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createSimpleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected static &lt;T extends <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>&gt;<br>T</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#getClientDataRecord-org.apache.poi.ddf.EscherContainerRecord-int-">getClientDataRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    int&nbsp;recordType)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="logger">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>logger</h4>
                                <pre>protected static final&nbsp;<a
                                        href="../../../../../org/apache/poi/util/POILogger.html"
                                        title="class in org.apache.poi.util">POILogger</a> logger</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFShapeFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFShapeFactory</h4>
                                <pre>public&nbsp;HSLFShapeFactory()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createShape</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;createShape(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                                <div class="block">Create a new shape from the data provided.</div>
                            </li>
                        </ul>
                        <a name="createShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createShapeGroup</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>&nbsp;createShapeGroup(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                              <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                 title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="createSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSimpleShape</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;createSimpleShape(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                          <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                             title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getClientDataRecord-org.apache.poi.ddf.EscherContainerRecord-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getClientDataRecord</h4>
                                <pre>protected static&nbsp;&lt;T extends <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>&gt;&nbsp;T&nbsp;getClientDataRecord(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                                          int&nbsp;recordType)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapeFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
               title="interface in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFShapeFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
